## slurm 0.3.3

=== debian/changelog ===
slurm (0.3.3-2) unstable; urgency=low

  * New maintainer (Closes: #482401)
  * Switch to dpkg-source 3.0 (quilt) format 
  * Create debian/patches/ for all modification on upstream files
  * Add debian/watch 
  * Added vcs-git / vcs-browser to debian/control
  * debian/copyright refers now GPL-2 instead of GPL
  * Bump Standards-Version to 3.8.4

 -- Matthias Schmitz <matthias@sigxcpu.org>  Sun, 18 Jul 2010 19:05:29 +0200

slurm (0.3.3-1) unstable; urgency=low

  * QA Upload
    + change maintainer to QA group
  * Bump Standards-Version to 3.7.3 (no changes)

 -- Frank Lichtenheld <djpig@debian.org>  Thu, 22 May 2008 15:41:57 +0200

slurm (0.3.3-0.1) unstable; urgency=low

  * Non-maintainer upload
  * New upstream release
    (repacked upstream tarball without generated Makefile)
  * Update debian/copyright with new upstream
    homepage
  * Add debian/watch file
  * Some debian/rules cleanup
  * Fix errors in manpage
  * Bump debhelper compat level to 5

 -- Frank Lichtenheld <djpig@debian.org>  Tue, 02 Oct 2007 18:59:35 +0200

slurm (0.3.2-1) unstable; urgency=low

  * Initial Release. (Closes: #229663)

 -- Fabian Franz <debian@fabian-franz.de>  Sun, 25 Jan 2004 21:06:14 +0100
