=== debian/control ===
Source: slurm
Section: net
Priority: optional
Maintainer: Matthias Schmitz <matthias@sigxcpu.org>
Build-Depends: debhelper (>= 5.0.0), libncurses5-dev
Standards-Version: 3.8.4
vcs-git: git://git.debian.org/users/matthias-guest/slurm.git
vcs-browser: http://git.debian.org/?p=users/matthias-guest/slurm.git;a=summary

Package: slurm
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Realtime network interface monitor
 Slurm has the following features:
  * realtime traffic statistics divided into incoming and outgoing 
  * optional combined view 
  * can monitor any kind of network interface 
  * shows detailed statistics about the interface. 
  * it's themeable
