## slurm 0.4.0

=== debian/changelog ===
slurm (0.4.0-1) unstable; urgency=low

  * New upstream version 0.4.0
  * Add support for GNU/kFreeBSD
  * Change build system from autoconf to scons (Closes: #640221, LP: #832924)
  * Change to debhelper 7
  * Bump debhelper compat level to 7
  * Change debian/copyright to DEP-5 format
  * Bump Standards-Version to 3.9.2
  * Point debian/watch to upstream's new home

 -- Matthias Schmitz <matthias@sigxcpu.org>  Sat, 10 Sep 2011 23:50:56 +0200
