=== debian/control ===
--- 
+++ 
@@ -2,10 +2,11 @@
 Section: net
 Priority: optional
 Maintainer: Matthias Schmitz <matthias@sigxcpu.org>
-Build-Depends: debhelper (>= 5.0.0), libncurses5-dev
-Standards-Version: 3.8.4
-vcs-git: git://git.debian.org/users/matthias-guest/slurm.git
-vcs-browser: http://git.debian.org/?p=users/matthias-guest/slurm.git;a=summary
+Build-Depends: debhelper (>= 7.0.50~), libncurses5-dev, scons
+Standards-Version: 3.9.2
+Vcs-Git: git://git.debian.org/users/matthias-guest/slurm.git
+Vcs-Browser: http://git.debian.org/?p=users/matthias-guest/slurm.git;a=summary
+Homepage: https://github.com/mattthias/slurm
 
 Package: slurm
 Architecture: any
