=== debian/watch ===
# use Gunnar Wolf's great github redirector service
version=3
http://githubredir.debian.net/github/mattthias/slurm/.*(\d\.\d\.\d)\.tar\.gz
