=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@

override_dh_auto_build:
	scons debian=1

override_dh_auto_clean:
	scons -c
