=== debian/changelog ===
slurm (0.4.3-2build4) eoan; urgency=medium

  * No-change upload with strops.h and sys/strops.h removed in glibc.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 05 Sep 2019 11:09:04 +0000

slurm (0.4.3-2build3) cosmic; urgency=medium

  * No-change rebuild for ncurses soname changes.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 03 May 2018 14:19:09 +0000

slurm (0.4.3-2build2) bionic; urgency=high

  * No change rebuild to pick up -fPIE compiler default

 -- Balint Reczey <rbalint@ubuntu.com>  Tue, 03 Apr 2018 12:43:49 +0000

slurm (0.4.3-2build1) xenial; urgency=medium

  * No-change rebuild for ncurses6 transition.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 07 Feb 2016 09:45:54 +0000

slurm (0.4.3-2) unstable; urgency=medium

  * Fix broken debian/watch file.

 -- Matthias Schmitz <matthias@sigxcpu.org>  Mon, 17 Aug 2015 12:03:38 +0200

slurm (0.4.3-1) unstable; urgency=medium

  * Import new upstream version 0.4.3

 -- Matthias Schmitz <matthias@sigxcpu.org>  Sun, 16 Aug 2015 20:39:21 +0200
