=== debian/control ===
--- 
+++ 
@@ -1,8 +1,11 @@
 Source: slurm
 Section: net
 Priority: optional
-Maintainer: Matthias Schmitz <matthias@sigxcpu.org>
-Build-Depends: debhelper (>= 9), libncurses5-dev, scons
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Matthias Schmitz <matthias@sigxcpu.org>
+Build-Depends: debhelper (>= 9),
+               libncurses5-dev,
+               cmake
 Standards-Version: 3.9.6
 Vcs-Git: git://anonscm.debian.org/users/matthias-guest/slurm.git
 Vcs-Browser: http://anonscm.debian.org/cgit/users/matthias-guest/slurm.git
