## slurm 0.4.4

=== debian/changelog ===
slurm (0.4.4-1) unstable; urgency=medium

  * Import new upstream version 0.4.4
  * Fix FTBFS issue with glibc 2.3 (Closes: #993874)
  * Bump Standards-Version to 4.6.2
  * Add "Rules-Require-Root: no"
  * Switch to debhelper 13
  * Enable hardening via DEB_BUILD_MAINT_OPTIONS

 -- Matthias Schmitz <matthias@sigxcpu.org>  Fri, 02 Feb 2024 23:34:17 +0100

slurm (0.4.3-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix FTBFS by removing deprecated sys/sysctl.h (closes: #993874)

 -- Philip Rinn <rinni@debian.org>  Sun, 27 Nov 2022 13:31:19 +0100
