=== debian/control ===
Source: slurm
Section: net
Priority: optional
Maintainer: Matthias Schmitz <matthias@sigxcpu.org>
Build-Depends: debhelper (>= 13),
               debhelper-compat (= 13),
               libncurses-dev,
               meson
Standards-Version: 4.6.2
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/matthias-guest/slurm.git
Vcs-Browser: https://salsa.debian.org/matthias-guest/slurm/
Homepage: https://github.com/mattthias/slurm

Package: slurm
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Realtime network interface monitor
 Slurm has the following features:
  * realtime traffic statistics divided into incoming and outgoing
  * optional combined view
  * can monitor any kind of network interface
  * shows detailed statistics about the interface.
  * it's themeable
