=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/slurm-$1\.tar\.gz/ \
  https://github.com/mattthias/slurm/tags .*/upstream/v?(\d\S*)\.tar\.gz
