## slurm 22.05.10

=== debian/changelog ===
slurm (22.05.10-1) UNRELEASED; urgency=medium

  * See release notes here: https://github.com/SchedMD/slurm/tree/slurm-22.05

 -- Aditi Gaur <aditigaur@microsoft.com>  Fri, 10 Nov 2023 00:04:12 +0000
