=== debian/control ===
Source: slurm
Section: admin
Priority: optional
Maintainer: Aditi Gaur <aditigaur@microsoft.com>
Build-Depends: debhelper-compat (= 12),autotools-dev,libmunge-dev,libncurses-dev,,po-debconf,python3,libgtk2.0-dev,default-libmysqlclient-dev,libpam0g-dev,libperl-dev,chrpath,libpam0g-dev,liblua5.1-0-dev,libhwloc-dev,dh-exec,librrd-dev,libipmimonitoring-dev,hdf5-helpers,libfreeipmi-dev,libhdf5-dev,man2html,libcurl4-openssl-dev,libpmix-dev,libhttp-parser-dev,libyaml-dev,libjson-c-dev,libjwt-dev,liblz4-dev,bash-completion,libdbus-1-dev,librdkafka-dev,libnvidia-ml-dev
Standards-Version: 4.6.0
Homepage: https://slurm.schedmd.com
Rules-Requires-Root: no

Package: slurm
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Slurm Workload Manager
 Slurm is an open source, fault-tolerant, and highly scalable
 cluster management and job scheduling system for Linux clusters.
 Components include machine status, partition management,
 job management, scheduling and accounting modules

Package: slurm-slurmctld
Architecture: any
Depends: slurm, ${shlibs:Depends}, ${misc:Depends}
Description: Slurm Controller Daemon
 Slurm controller daemon. Used to manage the job queue, schedule jobs,
 and dispatch RPC messages to the slurmd processon the compute nodes
 to launch jobs.

Package: slurm-slurmd
Architecture: any
Depends: slurm, ${shlibs:Depends}, ${misc:Depends}
Description: Slurm compute node daemon
 Slurm compute node daemon. Used to launch jobs on compute nodes

Package: slurm-slurmdbd
Architecture: any
Depends: slurm, ${shlibs:Depends}, ${misc:Depends}
Description: Slurm database daemon
 Slurm database daemon. Used to accept and process database RPCs and upload
 database changes to slurmctld daemons on each cluster

Package: slurm-slurmrestd
Architecture: any
Depends: slurm, ${shlibs:Depends}, ${misc:Depends}
Description: Slurm REST API translator
 Provides a REST interface to Slurm.

Package: slurm-libpmi
Architecture: any
Depends: slurm, ${shlibs:Depends}, ${misc:Depends}
Description: Slurm\'s implementation of the pmi libraries
 Slurm\'s version of libpmi. For systems using Slurm, this version
 is preferred over the compatibility libraries shipped by the PMIx project.

Package: slurm-devel
Architecture: any
Depends: slurm, ${shlibs:Depends}, ${misc:Depends}
Description: Development package for Slurm
 Development package for Slurm.  This package includes the header files
 and static libraries for the Slurm API

Package: slurm-example-configs
Architecture: any
Depends: slurm, ${shlibs:Depends}, ${misc:Depends}
Description: Example config files for Slurm
 Example configuration files for Slurm.

Package: slurm-perlapi
Architecture: any
Depends: slurm, ${shlibs:Depends}, ${misc:Depends}
Description: Perl API to Slurm
 Perl API package for Slurm.  This package includes the perl API to provide a
 helpful interface to Slurm through Perl


Package: slurm-contribs
Architecture: any
Depends: slurm, ${shlibs:Depends}, ${misc:Depends}
Description: Perl tool to print Slurm job state information
 seff is a mail program used directly by the Slurm daemons. On completion of a
 job, wait for it's accounting information to be available and include that
 information in the email body.
 sjobexit is a slurm job exit code management tool. It enables users to alter
 job exit code information for completed jobs
 sjstat is a Perl tool to print Slurm job state information. The output is designed
 to give information on the resource usage and availablilty, as well as information
 about jobs that are currently active on the machine. This output is built
 using the Slurm utilities, sinfo, squeue and scontrol, the man pages for these
 utilities will provide more information and greater depth of understanding.

Package: slurm-torque
Architecture: any
Depends: slurm, ${shlibs:Depends}, ${misc:Depends}
Description: Torque/PBS wrappers for transition from Torque/PBS to Slurm
 Torque wrapper scripts used for helping migrate from Torque/PBS to Slurm

Package: slurm-openlava
Architecture: any
Depends: slurm, ${shlibs:Depends}, ${misc:Depends}
Description: openlava/LSF wrappers for transition from OpenLava/LSF to Slurm
 OpenLava wrapper scripts used for helping migrate from OpenLava/LSF to Slurm

Package: slurm-pam-slurm
Architecture: any
Depends: slurm, ${shlibs:Depends}, ${misc:Depends}
Description: PAM module for restricting access to compute nodes via Slurm
 This module restricts access to compute nodes in a cluster where Slurm is in
 use.  Access is granted to root, any user with an Slurm-launched job currently
 running on the node, or any user who has allocated resources on the node
 according to the Slurm
