## slurm 23.02.6

=== debian/changelog ===
slurm (23.02.6-1) UNRELEASED; urgency=medium

  * See release notes here: https://github.com/SchedMD/slurm/tree/slurm-23.02

 -- Aditi Gaur <aditigaur@microsoft.com>  Fri, 10 Nov 2023 00:11:37 +0000
