## slurm 23.02.7

=== debian/changelog ===
slurm (23.02.7-1) UNRELEASED; urgency=medium

  * See release notes here: https://github.com/SchedMD/slurm/tree/slurm-23.02

 -- Aditi Gaur <aditigaur@microsoft.com>  Mon, 22 Jan 2024 19:16:10 +0000
