=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
export DH_VERBOSE = 1


# see FEATURE AREAS in dpkg-buildflags(1)
#export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# see ENVIRONMENT in dpkg-buildflags(1)
# package maintainers to append CFLAGS
#export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
# package maintainers to append LDFLAGS
#export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

export PERL_ARCHLIB := $(shell perl -MConfig -E 'print $$Config{archlib}')
include /usr/share/dpkg/architecture.mk
%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- --prefix=/usr --with-pmix --with-nvml --with-hwloc --enable-pam --enable-multiple-slurmd --with-lua --sysconfdir=/etc/slurm --with-munge
override_dh_auto_build:
	dh_auto_build
override_dh_auto_install:
	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp
	cd contribs && $(MAKE) install DESTDIR=$(CURDIR)/debian/tmp
	install -D -m 644 etc/slurmctld.service $(CURDIR)/debian/tmp/lib/systemd/system/slurmctld.service
	install -D -m 644 etc/slurmd.service $(CURDIR)/debian/tmp/lib/systemd/system/slurmd.service
	install -D -m 644 etc/slurmrestd.service $(CURDIR)/debian/tmp/lib/systemd/system/slurmrestd.service
	install -D -m 644 etc/slurmdbd.service $(CURDIR)/debian/tmp/lib/systemd/system/slurmdbd.service
	install -D -m 644 etc/slurm.conf.example $(CURDIR)/debian/tmp/etc/slurm/slurm.conf.example
	install -D -m 644 etc/cgroup.conf.example $(CURDIR)/debian/tmp/etc/slurm/cgroup.conf.example
	install -D -m 644 etc/prolog.example $(CURDIR)/debian/tmp/etc/slurm/prolog.example
	install -D -m 600 etc/slurmdbd.conf.example $(CURDIR)/debian/tmp/etc/slurm/slurmdbd.conf.example
	install -D -m 644 etc/job_submit.lua.example $(CURDIR)/debian/tmp/etc/slurm/job_submit.lua.example
	install -D -m 644 etc/cli_filter.lua.example $(CURDIR)/debian/tmp/etc/slurm/cli_filter.lua.example
	install -D -m 755 contribs/sjstat $(CURDIR)/debian/tmp/usr/bin/sjstat

override_dh_install:
	# remove unpackaged files
	rm -f $(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/slurm/*.a
	rm -f $(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/slurm/*.la
	rm -f $(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/*.la
	rm -f $(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/*.a
	rm -r $(CURDIR)/debian/tmp/lib/security/*.a
	rm -r $(CURDIR)/debian/tmp/lib/security/*.la
	# not packaging cray-specific stuff
	rm -r $(CURDIR)/debian/tmp/usr/sbin/capmc*
	rm -r $(CURDIR)/debian/tmp/usr/sbin/slurmsmwd
	rm -r $(CURDIR)/debian/tmp$(PERL_ARCHLIB)*/auto/Slurm/.packlist
	rm -r $(CURDIR)/debian/tmp$(PERL_ARCHLIB)*/auto/Slurmdb/.packlist
	dh_install debian/slurm.install -pslurm -Xusr/lib/$(DEB_HOST_MULTIARCH)/slurm/accounting_storage_mysql.so -Xusr/lib/$(DEB_HOST_MULTIARCH)/slurm/job_submit_pbs.so -Xusr/lib/$(DEB_HOST_MULTIARCH)/slurm/spank_pbs.so
	dh_install debian/slurm-devel.install -pslurm-devel
	dh_install debian/slurm-example-configs.install -pslurm-example-configs
	dh_install debian/slurm-slurmd.install -pslurm-slurmd
	dh_install debian/slurm-slurmctld.install -pslurm-slurmctld
	dh_install debian/slurm-slurmdbd.install -pslurm-slurmdbd
	dh_install debian/slurm-slurmrestd.install -pslurm-slurmrestd
	dh_install debian/slurm-libpmi.install -pslurm-libpmi
	dh_install debian/slurm-perlapi.install -pslurm-perlapi
	dh_install debian/slurm-torque.install -pslurm-torque
	dh_install debian/slurm-openlava.install -pslurm-openlava
	dh_install debian/slurm-contribs.install -pslurm-contribs
override_dh_auto_clean:
	dh_auto_clean
	rm -rf $(CURDIR)/debian/tmp

# dh_make generated override targets
# This is example for Cmake (See https://bugs.debian.org/641051 )
#override_dh_auto_configure:
#	dh_auto_configure -- \
#	-DCMAKE_LIBRARY_PATH=$(DEB_HOST_MULTIARCH)
